#
# spec file for package lilo (Version 22.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bin86 bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library glib glib2 glibc glibc-32bit glibc-devel glibc-devel-32bit glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd latex-ucs latex2html latex2html-pngicons less libacl libattr libcom_err libgcc libgimpprint libjpeg libjpeg-devel libnetpbm libnscd libpng libstdc++ libstdc++-devel libtiff libtiff-devel libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools nasm ncurses ncurses-devel net-tools netcfg netpbm openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           lilo
BuildRequires:  bin86 ghostscript-fonts-std ghostscript-library latex2html libtiff-devel nasm te_ams
%ifarch x86_64
BuildRequires:  glibc-32bit glibc-devel-32bit
%endif
License:        Other License(s), see package, BSD
Group:          System/Boot
Autoreqprov:    on
Version:        22.7
Release:        19.2
Summary:        The Linux Loader, a Boot Menu
Source:         ftp://brun.dyndns.org/pub/linux/lilo/lilo-%{version}.src.tar.gz
Patch:          lilo-22.7.diff
Patch1:         lilo-22.7-loop_dev.diff
Patch5:         lilo-22.7-vga_inst.diff
Patch7:         lilo-22.7-sa.diff
Patch9:         lilo-22.3.4-pdf.diff
Patch10:        lilo-22.7-gfx.diff
Patch12:        lilo-22.3.4-tetex.dif
Patch15:        wildcard.diff
Patch16:        wildcard-zerowidth.diff
Patch17:        wildcard-doc.diff
Patch18:        mkrescue.diff
Patch19:        QuickInst.diff
Patch20:        lilo-22.7-OPT.diff
Patch21:        lilo-mount_by_persistent_name.diff
Source3:        README.graphics
Source4:        README.SuSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LILO boots Linux from your hard drive. It can also boot other operating
systems, such as MS-DOS and OS/2, and can even boot DOS from the second
hard drive. The configuration file is /etc/lilo.conf.

The PowerPC variant can be used on new PowerMacs and CHRP machines.

The ix86 variant comes with Memtest86, offering an image that can be
booted to perform a memory test.



Authors:
--------
    John Coffman <JohnInSD@san.rr.com>
    Werner Almesberger <Werner.Almesberger@epfl.ch>
    PowerPC part:
    Paul Mackeras <paulus@samba.org>
    Cort Dougan <cort@fsmlabs.com>
    Benjamin Herrenschmidt <benh@kernel.crashing.org>

%debug_package
%prep
%setup -q
%patch -p1
%patch1 -p1
%patch5 -p1
%patch7 -p1
%patch9 -p1
%patch10
%patch12
# Disable the wildcard feature
#%patch15 -p1
#%patch16 -p1
#%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%ifarch x86_64 
  make CC="cc -m32" OPT="$RPM_OPT_FLAGS"
  make CC="cc -m32" activate OPT="$RPM_OPT_FLAGS"
  make -C doc all
%else
  make OPT="$RPM_OPT_FLAGS"
  make activate OPT="$RPM_OPT_FLAGS"
  make -C doc all
%endif

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share
mkdir -p $RPM_BUILD_ROOT/var/adm/setup
make install ROOT=$RPM_BUILD_ROOT
install -m 0755 activate $RPM_BUILD_ROOT/sbin/
rm -f doc/*.dvi
make -C doc all
#make -C doc html
#rm sample/os2ins64.bmp
rm -f sample/ins64e.bmp
rm -f $RPM_BUILD_ROOT/boot/diag1.img
#

%files
%defattr(-,root,root)
%doc CHANGES COPYING INCOMPAT README README.bitmaps 
%doc README.common.problems README.disk README.raid1
%doc sample
%doc $RPM_SOURCE_DIR/README.SuSE
%doc doc/tech.pdf doc/user.pdf
#%doc doc/tech.html doc/user.html
/sbin/activate
/sbin/lilo
/sbin/mkrescue
/usr/sbin/keytab-lilo.pl
%doc %{_mandir}/man5/lilo.conf.5.gz
%doc %{_mandir}/man8/lilo.8.gz
%doc %{_mandir}/man8/mkrescue.8.gz
%doc $RPM_SOURCE_DIR/README.graphics

%changelog -n lilo
* Tue Mar 21 2006 - pth@suse.de
- Make lilo grok mounting by persistent name.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 24 2005 - snwint@suse.de
- support latest gfxboot
* Wed Oct 12 2005 - mmj@suse.de
- add -fno-strict-aliasing
* Wed Oct 05 2005 - mmj@suse.de
- use $RPM_OPT_FLAGS
* Wed Oct 05 2005 - mantel@suse.de
- create tmp files in a safe manner (#105423)
* Mon Sep 12 2005 - snwint@suse.de
- adapt gfx patch to recent lilo (#116285)
* Wed Jun 08 2005 - ro@suse.de
- update to 22.7
* Fri Apr 22 2005 - ro@suse.de
- fix build with recent glibc/kernel headers
* Fri Feb 18 2005 - agruen@suse.de
- Disable the wildcard feature.
* Sun Feb 13 2005 - ro@suse.de
- no need to package dvi docu if pdf is packaged
* Thu Feb 10 2005 - ro@suse.de
- remove dropped tetex subpackages from nfb
* Fri Jan 28 2005 - snwint@suse.de
- updated gfxboot patch
* Thu Sep 30 2004 - agruen@suse.de
- Wildcard feature: Move the wildcard keyword so that it is valid
  inside "image=" sections only.  Don't return a value from
  cfg_replace; it's a void function.  Allow zero-width matches
  (so that the asterisk in wildcard matches has the usual file
  glob sematics).  Document the wildcard feature in lilo.conf.5.
* Tue Sep 07 2004 - agruen@suse.de
- Fix a stupid link-time error in the wildcard patch.
- Skip over wildcard-expanded entries that result in labels longer
  than the maximum length (15 characters).
* Mon Sep 06 2004 - agruen@suse.de
- wildcard.diff: Implement wildcard menu entries.
* Wed Jun 02 2004 - ro@suse.de
- avoid inclusion of linux/audit.h
* Tue Jan 27 2004 - mmj@suse.de
- Fix label at end of compound statement error (gcc-3.4)
* Tue Jan 13 2004 - snwint@suse.de
- understand new gfxboot file format
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Jul 30 2003 - kukuk@suse.de
- Include <asm/page.h>
* Thu Jun 12 2003 - kukuk@suse.de
- Remove /boot from filelist, is part of filesystem
* Mon Feb 10 2003 - ro@suse.de
- fix build with latest tetex
* Sun Feb 09 2003 - snwint@suse.de
- updated graphics patch
* Tue Jan 14 2003 - garloff@suse.de
- Update to lilo-22.3.4
  * Support for mem=NNN@MMM syntax
  * Re-work UNSAFE keyword handling
  * EVMS merged into mainstream lilo
  * minor bugfixes
* Wed Oct 30 2002 - ro@suse.de
- changed neededforbuild <l2h> to <latex2html>
* Thu Oct 10 2002 - kukuk@suse.de
- Remove self provide
- Remove requires of bootsplash
* Tue Sep 03 2002 - snwint@suse.de
- fixed Requires
* Mon Aug 19 2002 - fehr@suse.de
- update to version 22.3.2
* Sun Aug 18 2002 - ro@suse.de
- fix neededforbuild
* Sun Aug 18 2002 - ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Tue Jul 30 2002 - garloff@suse.de
- Split off memtest86.
* Tue Jul 30 2002 - sf@suse.de
- added -m32 to compiler and linker for x86_64
- added --32 to as
- added glibc-devel-32bit for x86_64
* Wed Jul 17 2002 - snwint@suse.de
- adaped graphics patch to handle new message format
* Mon Jul 15 2002 - snwint@suse.de
- removed BuildArch line
* Sat Jul 06 2002 - garloff@suse.de
- Update EVMS patch to use assigned major number 117.
* Mon Jun 17 2002 - garloff@suse.de
- Update to lilo-22.3.1
  * Corrections for cmd line segment reporting and bitmap table
  overflow.
  * Output geometry in case Kernel/BIOS int 13h func 08h/48h
  differences.
  * Handle bios_dev changes in 2.4.18 in disk geo reporting.
  * minor fixes for boot loader and utilities.
* Fri Jun 07 2002 - garloff@suse.de
- Make PDFs with pdflatex instead of .ps.gz.
* Fri Jun 07 2002 - garloff@suse.de
- Include EVMS support
- Update to lilo-22.3:
  * Integrated bitmap file editor lilo -E
  * gcc-3.x compatibility (CRC/SHS code)
  * follow links
  * UNIFY: 2nd stage loader, bitmap, message in one file
  * BUILTIN: the /boot/*.b files are part of lilo binary now
  * barf on vga=,kbd=,lock,nobd in append parameter
  * optional skips image if specified initrd missing
  * lilo -p no longer echos password
  * Option -F to override XFS,swap.NTFS checks
  * Pass args from ES:DI if present (after BOOT_IMAGE=)
  * Pass args to boot sectors with LILO signature only
  * 1st stage loader verifies signature of 2nd stage
  * support boot protocol 0x0203: Load initrd AFTER kernel,
  parse mem=
  * vga= now supports dec/hex/oct (any radix, actually)
  * Use 32bit move only with large-memory var (otherwise 24 bit,
  15MB)
  * Avoid overlapping memory areas for buggy int15h 0820h BIOS fn
- Update to lilo-22.2:
  * Support LVM
  * Variable placement of initrd (dep. on memory size)
  * Add video mode set to accomodate Dell/WinXP disbale video
* Fri Jun 07 2002 - garloff@suse.de
- Update to memtest86-3.0:
  * Testing more than 2GB should work now.
  * Use PIC instead of two copies
  * Serial code avoid redundant writes now
  * ^l/l gives screen refresh (after connecting serial console)
  * Netbooting operational again
  * LinuxBIOS support (memory sizing)
* Mon Apr 22 2002 - garloff@suse.de
- Update to memtest86-2.9:
  * Provide three memory sizing modes; default is conservative one
  probably not testing all memory on some boards
  * Testing more than 2GB supported
  * Memory testing in segments. Minor bug fixes.
* Sat Apr 20 2002 - ro@suse.de
- rename S(x) macro to SA(x) to avoid preprocessor problem
* Fri Mar 15 2002 - snwint@suse.de
- support shs passwords in graphical mode (#14755)
- fixed broken test for kernel options (#14756)
- parse kernel options for 'vga', 'mem', etc. properly when in gfx mode
- accept hex numbers in 'vga' entry
* Tue Mar 12 2002 - kukuk@suse.de
- Remove /boot from filelist (is in aaa_dir)
* Wed Feb 27 2002 - mls@suse.de
- mapped FSC 1400x1050 & 1600x1400 to 1280x1024 in INST-mode
* Fri Feb 15 2002 - mantel@suse.de
- remove x bit from memtest.bin since it's not a Linux executable
* Wed Jan 16 2002 - ro@suse.de
- removed setup.liloconfig
* Fri Jan 04 2002 - snwint@suse.de
- adaped our graphics patch for lilo-22.1
* Wed Dec 12 2001 - garloff@suse.de
- Use build root.
- Fix file list.
- Get rid of Makefile.Linux
- Added smaples to doc (after removing uncompressed images)
* Wed Dec 12 2001 - garloff@suse.de
- Update to lilo-22.1:
  * Bugfixes (passwd protection, -I, compilation)
  * mkrescue util added
  * Support M-Systems Disk-On-Chip
  * Prevent installation on sec. partitions other than Linux
  * Remove size constraints for sec. stage boot loader
- Update to lilo-22.0:
  * Passwords are hashed instead of storing them plaintext
  * password options are "mandatory", "restricted" and "bypass"
  * better cfg file parser
  * support for auxiliary boot records for raid
  * New options -A (activate) and -M (restore MBR)
  * Support for bitmap= option (640x480x16 RGB/RLE/BMP)
  * bmp-table, bmp-X options to modify bitmaps
  * Use boot-time BIOS data for identifiaction of bios dev codes
  * Option -g (geometric) for C/H/S addressing
  * lba32 is default now (unless linear or geometric is specified)
  * HPT370 support
  * Allow EBDA > 64k
  * Handle heads==256 (broken BIOS)
* Wed Dec 12 2001 - garloff@suse.de
- Update to memtest86-2.8(a):
  * Reworked build process; a network bootable boot image can be
  produced
  * mem and cache speed detection code rewritten (should work now)
  * CPU detection for Pentium 4
  * Serial console disabled by default
- Reenabled memtest86 serial console (9600 8n1) ;-)
- Clean up .spec file a bit
* Thu Nov 15 2001 - ro@suse.de
- define extended partition types ourself
* Mon Sep 17 2001 - mls@suse.de
- added special "vga=inst" mode: probes hardware for a nice
  vga number suitable for the installation.
* Mon Sep 10 2001 - snwint@suse.de
- no graphics if we use serial line (#8789)
* Sun Sep 09 2001 - snwint@suse.de
- support gfxboot-1.4
* Thu Aug 30 2001 - garloff@suse.de
- Update to lilo-21.7.5:
  * DAC960 partition mask fix
  * Reverse map device code if "map-drive" is in effect
- Fix email & URL addresses
* Mon Jul 16 2001 - uli@suse.de
- update memtest -> 2.7
* Mon Apr 30 2001 - snwint@suse.de
- made it require gfxboot package
* Mon Apr 30 2001 - garloff@suse.de
- Update to 21.7.4 (merging all patches):
  * Bug fixes for automatic change-rules
  * Higher serial rates supported
  * Ignore <CR>
  * -u/-U now correctly optional
  * some devfs support
- do_cr_auto() seems to behave now, so it's enabled again
* Sat Apr 28 2001 - snwint@suse.de
- completely new graphical boot screen stuff
- added support for loop devices (useful e.g. to create boot disks)
* Mon Apr 09 2001 - garloff@suse.de
- memtest86: Correct units (cosmetic)
* Sat Apr 07 2001 - garloff@suse.de
- Disable the infamous do_cr_auto() annoyance, resulting in lilo
  (de)activing and (un)hiding partitions at will.
* Thu Mar 08 2001 - ro@suse.de
- fix block-size detection in geometry.c (define correct ioctl)
* Tue Feb 20 2001 - snwint@suse.de
- fixed -I option segfault bug (#6288)
* Mon Feb 12 2001 - ro@suse.de
- don't include linux/fs.h
* Sun Jan 21 2001 - snwint@suse.de
- new SuSE logo
* Sun Jan 14 2001 - snwint@suse.de
- fixed minor bug in mklilomsg
- don't draw text menu when we're going to show a graphical one
* Sun Jan 14 2001 - snwint@suse.de
- wrote README.graphics
- new (much smaller) SuSE logo
* Fri Jan 12 2001 - snwint@suse.de
- better fix for the last problem
- fixed spec
* Thu Jan 11 2001 - snwint@suse.de
- fixed problems with some strange graphics cards
- dropped 320x200 logo
* Sun Jan 07 2001 - snwint@suse.de
- new SuSE logo file
* Thu Dec 21 2000 - garloff@suse.de
- Update memtest86 to v2.5 final.
* Wed Dec 20 2000 - snwint@suse.de
- added SuSE logo files (beta versions, *** MUST *** be replaced
  before final release)
* Tue Dec 19 2000 - snwint@suse.de
- implemented graphics menu support based on RH's logo stuff;
  we support PCX images up to 800x600 (or 512kb), the menu layout is
  controlled by an external tool (mklilomsg)
* Wed Nov 29 2000 - garloff@suse.de
- Update memtest86 to v2.5-beta (Athlon/Duron support)
* Mon Nov 13 2000 - ro@suse.de
- block inclusion of linux/string.h
* Tue Oct 17 2000 - fehr@suse.de
- make options -r and -r work again
* Fri Oct 13 2000 - fehr@suse.de
- add support for Compaq CSS devices
* Mon Oct 09 2000 - fehr@suse.de
- Update to LILO 21.6
* Thu Oct 05 2000 - fehr@suse.de
- Update to LILO 21.5.1
- add man pages to package
* Tue Sep 12 2000 - snwint@suse.de
- added support for i2o devices (treated similar to SCSI devs)
* Mon Aug 28 2000 - garloff@suse.de
- Added memtest86-2.4.
* Sun May 28 2000 - kukuk@suse.de
- Use doc macro
* Mon Mar 13 2000 - bk@suse.de
- added two fixes from kgw:
  * make more than one DAC960 controller accessible by lilo
  * fix major of fifth ide interface
* Wed Feb 16 2000 - bk@suse.de
- increased CL_LENGTH define in lilo.h from 0x4e(78) to 0xff
* Fri Oct 01 1999 - bk@suse.de
- added new "seg es" patch from l-k, recommended by garloff
* Thu Sep 30 1999 - bk@suse.de
- added new EBDA patch from Red Hat and VA Research
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jan 29 1999 - kgw@suse.de
- Update to LILO v21
- Incorporated patch for support of the logical hard drives
  provided by the Compaq Smart2 RAID controller (major 72)
* Tue Nov 18 1997 - bs@suse.de
- thrown away /boot/any_?.b
* Sun Nov 16 1997 - bs@suse.de
- added /boot/any_?.b for backward compability.
* Sun Nov 09 1997 - fehr@suse.de
- add file /var/adm/setup/setup.liloconfig to package again
* Fri Sep 12 1997 - rolf@suse.de
- lilo-20
